/*
 * support.h: 
 * Support stuff for GTK+ UI 
 *
 * Copyright (C) 2002 Sakari Lehtonen <sakari@ionstream.fi>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef UMIX_UI_GTK_SUPPORT_H
#define UMIX_UI_GTK_SUPPORT_H

#include <gtk/gtk.h>

/* constant defines, to help readability */
enum GTK_DEFS
{
	HOMOGENEOUS = TRUE,
	NONHOMOGENEOUS = FALSE,
	FILL = TRUE,
	NOFILL = FALSE,
	EXPAND = TRUE,
	NOEXPAND = FALSE,
	NOGROW = FALSE,
	NOSHRINK = FALSE,
	NOAUTOGROW = FALSE,
	NOSPACING = 0,
	NOPADDING = 0 
};	

GtkWidget *pixmap_create_from_d(GtkWidget *widget, gchar **xpm_data);

#endif /* UMIX_UI_GTK_SUPPORT_H */
